Index: main/trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java
===================================================================
--- main/trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 24430)
+++ main/trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 24478)
@@ -71,5 +71,5 @@
 
   /** The number of plugins that are fixed 'below the line' */
-  private static int NUM_FIXED_PLUGINS = 4; 
+  private static int NUM_FIXED_PLUGINS = 3; 
     /** Constructor.
      */
@@ -119,6 +119,5 @@
 	    if (!plugin.isAbstract()) {
 		String plugin_name = plugin.getName();
-		if (!plugin_name.equals(StaticStrings.ARCPLUG_STR) && !plugin_name.equals(StaticStrings.RECPLUG_STR) 
-		    && !plugin_name.equals(StaticStrings.METADATAXMLPLUG_STR) && !plugin_name.equals(StaticStrings.EMBEDMETAPLUG_STR)) {
+		if (!plugin_name.equals(StaticStrings.ARCPLUG_STR) && !plugin_name.equals(StaticStrings.RECPLUG_STR) && !plugin_name.equals(StaticStrings.METADATAXMLPLUG_STR)) {
 		  available.add(plugin);
 		}
@@ -194,6 +193,5 @@
      */
     private void assignPlugin(Plugin plugin) {
-      if(plugin.getName().equals(StaticStrings.RECPLUG_STR) || plugin.getName().equals(StaticStrings.ARCPLUG_STR) 
-	 || plugin.getName().equals(StaticStrings.METADATAXMLPLUG_STR) || plugin.getName().equals(StaticStrings.EMBEDMETAPLUG_STR)) {
+      if(plugin.getName().equals(StaticStrings.RECPLUG_STR) || plugin.getName().equals(StaticStrings.ARCPLUG_STR) || plugin.getName().equals(StaticStrings.METADATAXMLPLUG_STR)) {
 	    addAfter(plugin, separator_plugin); // Adds after separator
 	} else {
@@ -298,6 +296,5 @@
 	    return;
 	}
-	if(plugin.getName().equals(StaticStrings.ARCPLUG_STR) || plugin.getName().equals(StaticStrings.RECPLUG_STR) 
-	   || plugin.getName().equals(StaticStrings.METADATAXMLPLUG_STR) || plugin.getName().equals(StaticStrings.EMBEDMETAPLUG_STR)) {
+	if(plugin.getName().equals(StaticStrings.ARCPLUG_STR) || plugin.getName().equals(StaticStrings.RECPLUG_STR) || plugin.getName().equals(StaticStrings.METADATAXMLPLUG_STR)) {
 	    JOptionPane.showMessageDialog(Gatherer.g_man, Dictionary.get("CDM.Move.Fixed"), Dictionary.get("CDM.Move.Title"), JOptionPane.ERROR_MESSAGE);
 	    return;
@@ -364,6 +361,5 @@
 		Plugin plugin = (Plugin) getElementAt(index);
 		String name = plugin.getName();
-		if(name.equals(StaticStrings.RECPLUG_STR) || name.equals(StaticStrings.ARCPLUG_STR) 
-		   || name.equals(StaticStrings.METADATAXMLPLUG_STR) || name.equals(StaticStrings.EMBEDMETAPLUG_STR)) {
+		if(name.equals(StaticStrings.RECPLUG_STR) || name.equals(StaticStrings.ARCPLUG_STR) || name.equals(StaticStrings.METADATAXMLPLUG_STR)) {
 		    found_fixed = true;
 		    index--;
@@ -724,6 +720,5 @@
             String plugin_name = selected_plugin.getName();
             // Some buttons are only available for plugins other than ArcPlug and RecPlug
-            if(plugin_name.equals(StaticStrings.ARCPLUG_STR) || plugin_name.equals(StaticStrings.RECPLUG_STR) 
-	       || plugin_name.equals(StaticStrings.METADATAXMLPLUG_STR) || plugin_name.equals(StaticStrings.EMBEDMETAPLUG_STR)) {
+            if(plugin_name.equals(StaticStrings.ARCPLUG_STR) || plugin_name.equals(StaticStrings.RECPLUG_STR) || plugin_name.equals(StaticStrings.METADATAXMLPLUG_STR)) {
               move_up_button.setEnabled(false);
               move_down_button.setEnabled(false);
Index: main/trunk/gli/src/org/greenstone/gatherer/util/StaticStrings.java
===================================================================
--- main/trunk/gli/src/org/greenstone/gatherer/util/StaticStrings.java	(revision 24430)
+++ main/trunk/gli/src/org/greenstone/gatherer/util/StaticStrings.java	(revision 24478)
@@ -157,5 +157,5 @@
     static final public String INT_STR = "int";
     static final public String IMPORT_STR = "import";
-    static final public String[] KEEP_PLUG = { "GreenstoneXMLPlugin", "GreenstoneMETSPlugin" };
+    static final public String[] KEEP_PLUG = { "GreenstoneXMLPlugin", "GreenstoneMETSPlugin", "EmbeddedMetadataPlugin" };
     static final public String LANGUAGE_ARGUMENT = "l=";
     static final public String LANGUAGE_ATTRIBUTE = "language";