Index: /gs3-extensions/solr/trunk/src/gs3-setup.bat
===================================================================
--- /gs3-extensions/solr/trunk/src/gs3-setup.bat	(revision 24485)
+++ /gs3-extensions/solr/trunk/src/gs3-setup.bat	(revision 24485)
@@ -0,0 +1,73 @@
+@echo off
+pushd "%CD%"
+CD /D "%~dp0"
+d
+set extdesc=the Solr Extension
+
+:: The port Jetty runs on:
+set SOLR_JETTY_PORT=8983
+
+:: The port Jetty listens on for a "stop" command
+set JETTY_STOP_PORT=8079
+
+if "%OS%" == "Windows_NT" goto WinNT
+if "%OS%" == "" goto Win95
+if "%GSDLLANG%" == "en" echo Setup failed - your PATH has not been set
+if "%GSDLLANG%" == "es" echo No se pudo realizar la configuraci¢n - no se ha establecido la RUTA.
+if "%GSDLLANG%" == "fr" echo Echc de l'installation - votre variable PATH n'a pas t ajuste
+if "%GSDLLANG%" == "ru" echo áâ ­®¢ª  ­¥ ã€ « áì -  ­¥ ¡ë« ãáâ ­®¢«¥­
+goto End
+
+:WinNT
+set GEXT_SOLR=%CD%
+set PATH=%GEXT_SOLR%\bin\script;%PATH%
+set PATH=%GEXT_SOLR%\lib;%PATH%
+set GS_CP_SET=yes
+goto Success
+
+:Win95
+if "%1" == "SetEnv" goto Win95Env
+REM We'll invoke a second copy of the command processor to make
+REM sure there's enough environment space
+COMMAND /E:2048 /K %0 SetEnv
+goto End
+
+:Win95Env
+set GEXT_SOLR=%CD%
+set PATH="%GEXT_SOLR%\bin\script";"%PATH%"
+set PATH="%GEXT_SOLR%\lib";"%PATH%"
+set GS_CP_SET=yes
+goto Success
+
+:Success
+
+set fulldir=%~dp0
+
+:: strip off everything up to (and including) ext dir
+set extdir=%fulldir:*ext\=%
+
+:: remove trailing slash
+set extdir=%extdir:\=%
+
+setlocal enabledelayedexpansion
+if "x%GSDL3EXTS%" == "x" (
+  set GSDL3EXTS=!extdir!
+) else (
+  set GSDL3EXTS=!GSDL3EXTS!:!extdir!
+)
+endlocal & set GSDL3EXTS=%GSDL3EXTS%
+
+echo +Your environment is now setup for %extdesc%
+
+:: Back to delayed expansion to avoid problems with environment
+:: variables with brackets in them, such as "Program Files (x86)"
+
+echo ++Solr/Jetty server will run on port %SOLR_JETTY_PORT% (+ port %JETTY_STOP_PORT% for shutdown command)"
+echo --These port values can be changed by editing:
+echo --  %0
+
+
+
+:End
+
+popd
Index: /gs3-extensions/solr/trunk/src/gs3-setup.sh
===================================================================
--- /gs3-extensions/solr/trunk/src/gs3-setup.sh	(revision 24485)
+++ /gs3-extensions/solr/trunk/src/gs3-setup.sh	(revision 24485)
@@ -0,0 +1,75 @@
+
+extdesc="the Solr Extension"
+
+full_setup=`pwd`/${BASH_SOURCE}
+fulldir=${full_setup%/*}
+fulldir=${fulldir%/.}
+
+#--
+# Edit the following two port values if they conflict with
+# with existing services on your computer
+#--
+
+# The port Jetty runs on:
+SOLR_JETTY_PORT=8983
+
+# The port Jetty listens on for a "stop" command
+JETTY_STOP_PORT=8079
+
+
+if test -z $GSDLOS ; then
+  GSDLOS=`uname -s | tr '[A-Z]' '[a-z]'`
+  # check for running bash under Cygwin
+  if test "`echo $GSDLOS | sed 's/cygwin//'`" != "$GSDLOS" ;
+  then
+    GSDLOS=windows
+  fi
+  # check for running bash under MinGW/MSys
+  if test "`echo $GSDLOS | sed 's/mingw//'`" != "$GSDLOS" ;
+  then
+    GSDLOS=windows
+  fi
+  echo "GSDLOS was not set.  Setting it to '$GSDLOS'"
+  export GSDLOS
+fi
+	
+first_time=0;
+
+if [ "x$GEXT_SOLR" = "x" ] ; then
+  export GEXT_SOLR=`pwd`
+
+  if [ -d "$GEXT_SOLR/bin/script" ] ; then
+    export PATH=$GEXT_SOLR/bin/script:$PATH
+  fi
+
+  if [ -d "$GEXT_SOLR/lib" ] ; then
+    if [ "$GSDLOS" = "linux" ] ; then
+      export LD_LIBRARY_PATH=$GEXT_SOLR/lib:$LD_LIBRARY_PATH
+    elif [ "$GSDLOS" = "darwin" ] ; then
+      export DYLD_LIBRARY_PATH=$GEXT_SOLR/lib:$DYLD_LIBRARY_PATH
+    fi
+  fi
+
+  extdir=${GEXT_SOLR##*/}
+
+  if [ "x$GSDL3EXTS" = "x" ] ; then
+    export GSDL3EXTS=$extdir
+  else 
+    export GSDL3EXTS=$GSDL3EXTS:$extdir
+  fi
+
+  export SOLR_JETTY_PORT
+  export JETTY_STOP_PORT
+  first_time=1
+
+  echo "+Your environment is now setup for $extdesc"
+else
+  echo "+Your environment is already setup for $extdesc"
+fi
+
+echo "++Solr/Jetty server will run on port $SOLR_JETTY_PORT (+ port $JETTY_STOP_PORT for shutdown command)"
+
+if [ "$first_time" = "1" ] ; then
+  echo "--These port values can be changed by editing:"
+  echo "--  $full_setup"
+fi
Index: 3-extensions/solr/trunk/src/setup.bash
===================================================================
--- /gs3-extensions/solr/trunk/src/setup.bash	(revision 24484)
+++ 	(revision )
@@ -1,75 +1,0 @@
-
-extdesc="the Solr Extension"
-
-full_setup=`pwd`/${BASH_SOURCE}
-fulldir=${full_setup%/*}
-fulldir=${fulldir%/.}
-
-#--
-# Edit the following two port values if they conflict with
-# with existing services on your computer
-#--
-
-# The port Jetty runs on:
-SOLR_JETTY_PORT=8983
-
-# The port Jetty listens on for a "stop" command
-JETTY_STOP_PORT=8079
-
-
-if test -z $GSDLOS ; then
-  GSDLOS=`uname -s | tr '[A-Z]' '[a-z]'`
-  # check for running bash under Cygwin
-  if test "`echo $GSDLOS | sed 's/cygwin//'`" != "$GSDLOS" ;
-  then
-    GSDLOS=windows
-  fi
-  # check for running bash under MinGW/MSys
-  if test "`echo $GSDLOS | sed 's/mingw//'`" != "$GSDLOS" ;
-  then
-    GSDLOS=windows
-  fi
-  echo "GSDLOS was not set.  Setting it to '$GSDLOS'"
-  export GSDLOS
-fi
-	
-first_time=0;
-
-if [ "x$GEXT_SOLR" = "x" ] ; then
-  export GEXT_SOLR=`pwd`
-
-  if [ -d "$GEXT_SOLR/bin/script" ] ; then
-    export PATH=$GEXT_SOLR/bin/script:$PATH
-  fi
-
-  if [ -d "$GEXT_SOLR/lib" ] ; then
-    if [ "$GSDLOS" = "linux" ] ; then
-      export LD_LIBRARY_PATH=$GEXT_SOLR/lib:$LD_LIBRARY_PATH
-    elif [ "$GSDLOS" = "darwin" ] ; then
-      export DYLD_LIBRARY_PATH=$GEXT_SOLR/lib:$DYLD_LIBRARY_PATH
-    fi
-  fi
-
-  extdir=${GEXT_SOLR##*/}
-
-  if [ "x$GSDLEXTS" = "x" ] ; then
-    export GSDLEXTS=$extdir
-  else 
-    export GSDLEXTS=$GSDLEXTS:$extdir
-  fi
-
-  export SOLR_JETTY_PORT
-  export JETTY_STOP_PORT
-  first_time=1
-
-  echo "+Your environment is now setup for $extdesc"
-else
-  echo "+Your environment is already setup for $extdesc"
-fi
-
-echo "++Solr/Jetty server will run on port $SOLR_JETTY_PORT (+ port $JETTY_STOP_PORT for shutdown command)"
-
-if [ "$first_time" = "1" ] ; then
-  echo "--These port values can be changed by editing:"
-  echo "--  $full_setup"
-fi
Index: 3-extensions/solr/trunk/src/setup.bat
===================================================================
--- /gs3-extensions/solr/trunk/src/setup.bat	(revision 24484)
+++ 	(revision )
@@ -1,62 +1,0 @@
-@echo off
-pushd "%CD%"
-CD /D "%~dp0"
-
-set extdesc=the Solr Extension
-
-if "%OS%" == "Windows_NT" goto WinNT
-if "%OS%" == "" goto Win95
-if "%GSDLLANG%" == "en" echo Setup failed - your PATH has not been set
-if "%GSDLLANG%" == "es" echo No se pudo realizar la configuraci¢n - no se ha establecido la RUTA.
-if "%GSDLLANG%" == "fr" echo Echc de l'installation - votre variable PATH n'a pas t ajuste
-if "%GSDLLANG%" == "ru" echo áâ ­®¢ª  ­¥ ã€ « áì -  ­¥ ¡ë« ãáâ ­®¢«¥­
-goto End
-
-:WinNT
-set GEXT_SOLR=%CD%
-set PATH=%GEXT_SOLR%\bin\script;%PATH%
-set PATH=%GEXT_SOLR%\lib;%PATH%
-set GS_CP_SET=yes
-goto Success
-
-:Win95
-if "%1" == "SetEnv" goto Win95Env
-REM We'll invoke a second copy of the command processor to make
-REM sure there's enough environment space
-COMMAND /E:2048 /K %0 SetEnv
-goto End
-
-:Win95Env
-set GEXT_SOLR=%CD%
-set PATH="%GEXT_SOLR%\bin\script";"%PATH%"
-set PATH="%GEXT_SOLR%\lib";"%PATH%"
-set GS_CP_SET=yes
-goto Success
-
-:Success
-
-set fulldir=%~dp0
-
-:: strip off everything up to (and including) ext dir
-set extdir=%fulldir:*ext\=%
-
-:: remove trailing slash
-set extdir=%extdir:\=%
-
-setlocal enabledelayedexpansion
-if "x%GSDLEXTS%" == "x" (
-  set GSDLEXTS=!extdir!
-) else (
-  set GSDLEXTS=!GSDLEXTS!:!extdir!
-)
-endlocal & set GSDLEXTS=%GSDLEXTS%
-
-echo +Your environment is now setup for %extdesc%
-
-:: Back to delayed expansion to avoid problems with environment
-:: variables with brackets in them, such as "Program Files (x86)"
-
-
-:End
-
-popd