Index: /main/trunk/gli/src/org/greenstone/gatherer/greenstone/LocalLibraryServer.java
===================================================================
--- /main/trunk/gli/src/org/greenstone/gatherer/greenstone/LocalLibraryServer.java	(revision 24507)
+++ /main/trunk/gli/src/org/greenstone/gatherer/greenstone/LocalLibraryServer.java	(revision 24508)
@@ -593,5 +593,5 @@
 		return false; // don't need to launch the server, one has been independently launched
 	    } else {
-		// else we try using the glisite configfile
+		// else we try using the "gli." prefix to access the url property in the config file
 		llssite_cfg_file.useGLImode();
 	    	//llssite_cfg_file.set();
@@ -703,6 +703,6 @@
 			// first test if server was started independently of GLI
 			// if so, the config file we'd be using would be llssite.cfg
-			if(!usingGSImode()) { // if we were using llssite_cfg, this would have loaded it in
-				// else we try using the glisite configfile
+			if(!usingGSImode()) { // this step will try to access the url and other 
+				// special properties in the config file using the "gli." prefix.
 				useGLImode();
 			}
@@ -734,5 +734,5 @@
 			// dir because the non-standard collectDir didn't exist/wasn't specified in the GLI config
 			// file, then write out the new collectDir (minus file separator at end) to the lls site conf in use
-			// Regardless of what collecthome value was in the llssite/glisite file, we end up resetting it here
+			// Regardless of what collecthome value was in the llssite file, we end up resetting it here
 			if (isPersistentServer) { // server.exe, so we're dealing with a local GS2			
 				put(COLLECTHOME, collectDir);
@@ -743,5 +743,6 @@
 	}
 
-	/** Tries to get a glisite.cfg file and then loads it, setting it as the configFile */
+	/** Changes the mode to GLI mode (since GSI was not launched independently but by GLI): in this
+	* mode, the "gli." prefix is used to access GLI specific properties from the config file */
 	public void useGLImode()
 	{
@@ -755,5 +756,7 @@
 	 * (in which case the server URL would be URL_PENDING).
 	 * This method returns true if the server interface has already started
-	 * and, if so, it would have loaded in the llssite_cfg configFile.
+	 * and, if so, it would have loaded in the configFile. It sets the mode to 
+	 * GSI Mode (meaning GSI was launched independently): no prefix is used to 
+	 * access properties from the config file.
 	 */
 	public boolean usingGSImode() {
@@ -807,5 +810,5 @@
 
 	/** @return the cmd-line parameter for the configfile used to launch
-	 * the server through GLI: --config <glisite.cfg/llssite.cfg file path>. */
+	 * the server through GLI: --config=<llssite.cfg file path>. */
 	public String getSiteConfigFilename() {
 	    return SPECIFIC_CONFIG + configFile.getAbsolutePath();
Index: /main/trunk/greenstone2/gs2-web-server.bat
===================================================================
--- /main/trunk/greenstone2/gs2-web-server.bat	(revision 24507)
+++ /main/trunk/greenstone2/gs2-web-server.bat	(revision 24508)
@@ -190,11 +190,11 @@
 
 :: GLI launches gs2-server.bat with:
-:: cmd /c start "window" "c:\path to\gs2-web-server.bat" --config=c:\path to\glisite.cfg --quit=portnum --mode=gli
+:: cmd /c start "window" "c:\path to\gs2-web-server.bat" --config=c:\path to\llssite.cfg --quit=portnum --mode=gli
 :: where the --options are generally optional, but always used for GLI.
 :: The configfile param could contain spaces, in which case its space-separated parts spread over 
 :: multiple parameters. In the past, we used to handle this problem here. 
 :: At present we pass all the arguments as-is to the Server.jar program and let it handle the parameters.
-:: E.g. gs2-web-server.bat --config=C:\pinky was\here at greenstone2\glisite.cfg --mode=gli --quitport=50100
-:: or gs2-web-server.bat --quitport=50100 --config=C:\pinky was\here at greenstone2\glisite.cfg --mode=gli
+:: E.g. gs2-web-server.bat --config=C:\pinky was\here at greenstone2\llssite.cfg --mode=gli --quitport=50100
+:: or gs2-web-server.bat --quitport=50100 --config=C:\pinky was\here at greenstone2\llssite.cfg --mode=gli
 :: Note the (lack of) use of quotes!
 
Index: /main/trunk/greenstone2/runtime-src/src/w32server/cgiwrapper.cpp
===================================================================
--- /main/trunk/greenstone2/runtime-src/src/w32server/cgiwrapper.cpp	(revision 24507)
+++ /main/trunk/greenstone2/runtime-src/src/w32server/cgiwrapper.cpp	(revision 24508)
@@ -484,5 +484,5 @@
   
     // First volume gsdlhome's
-	// read in all the collections from sections other than [gsdl] in the site config file (llssite/glisite)
+	// read in all the collections from sections other than [gsdl] in the site config file (llssite.cfg)
     colinfo_tmap::const_iterator this_info = gsdl_collectinfo.begin();
     colinfo_tmap::const_iterator end_info = gsdl_collectinfo.end();
@@ -499,5 +499,5 @@
     }
 	
-	// if non-standard collecthome under [gsdl] section of site config file (llssite or glisite),
+	// if non-standard collecthome under [gsdl] section of site config file (llssite.cfg),
 	// then need to read in all the collections from this collecthome
 	if(gsdl_collecthome != filename_cat(gsdl_gsdlhome,"collect")) { 