Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 24514)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 24515)
@@ -10,5 +10,5 @@
 <Text id="0001">Greenstone tutorial exercises (October 2010)</Text>
 </Title>
-<Version current="2.84"/>
+<Version current="2.85"/>
 <SupplementaryText>
 <Text id="title">Greenstone tutorial exercise</Text>
@@ -376,5 +376,5 @@
 <Text id="0193">Installing Greenstone</Text>
 </Title>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <Heading>
@@ -435,5 +435,5 @@
 </Bullet>
 </BulletList>
-<Text id="0218">To invoke the Greenstone Reader's Interface, go to the <i>Greenstone-2.84</i> item under <i>All Programs</i> on the Windows <i>Start</i> menu and select <i>Greenstone Server</i>, once the server window is displayed click &lt;<b>Enter Library</b>&gt;.</Text>
+<Text id="0218">To invoke the Greenstone Reader's Interface, go to the <i>Greenstone-2.85</i> item under <i>All Programs</i> on the Windows <i>Start</i> menu and select <i>Greenstone Server</i>, once the server window is displayed click &lt;<b>Enter Library</b>&gt;.</Text>
 <Text id="0219">To invoke the Greenstone Librarian Interface, go to the same item and select <i>Librarian Interface (GLI)</i>.</Text>
 </Content>
@@ -444,5 +444,5 @@
 </Title>
 <Prerequisite id="install_greenstone"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <Comment>
@@ -498,5 +498,5 @@
 </Title>
 <SampleFiles folder="simple_html"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <Comment>
@@ -509,8 +509,8 @@
 <Text id="0255">Start the Greenstone Librarian Interface:</Text>
 <Menu>
-<Text id="0255a">Start &rarr; All Programs &rarr; Greenstone-2.84 &rarr; Librarian Interface (GLI)</Text>
+<Text id="0255a">Start &rarr; All Programs &rarr; Greenstone-2.85 &rarr; Librarian Interface (GLI)</Text>
 </Menu> 
 <Comment>
-<Text id="0255b">If you are using Windows Vista or Windows 7 and have installed Greenstone into the default location (i.e. C:\Program Files\Greenstone) a User Account Control dialog will appear as you try to start the Greenstone Librarian Interface, click &lt;<b>Yes</b>&gt; to continue.</Text>
+<Text id="0255b">If you are using Windows Vista or Windows 7 and have installed Greenstone into the default location (i.e. C:\Program Files\Greenstone) a User Account Control dialog may appear as you try to start the Greenstone Librarian Interface, click &lt;<b>Yes</b>&gt; to continue.</Text>
 <Text id="0256">After a short pause a startup screen appears, and then after a slightly longer pause the main Greenstone Librarian Interface appears. (A command prompt is also opened in the background.)</Text>
 </Comment>
@@ -566,5 +566,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0272">Presently there is no manually assigned metadata, but the act of building the collection has extracted metadata from the documents. Double click the <Path>simple_html</Path> folder to expand its content. Then single-click <Path>aragon.html</Path> to display all its metadata in the right-hand side of the panel. The initial fields, starting <AutoText text="dc." type="quoted"/>, are empty. These are Dublin Core metadata fields for manually entered data.</Text>
+<Text id="0272">Presently there is no manually assigned metadata, but the act of building the collection has extracted metadata from the documents. Double click the <Path>html_files</Path> folder to expand its content. Then single-click <Path>aragon.html</Path> to display all its metadata in the right-hand side of the panel. The initial fields, starting <AutoText text="dc." type="quoted"/>, are empty. These are Dublin Core metadata fields for manually entered data.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -594,5 +594,5 @@
 </Title>
 <SampleFiles folder="images"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <NumberedItem>
@@ -718,5 +718,5 @@
 </Title>
 <SampleFiles folder="Word_and_PDF"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <Comment>
@@ -819,5 +819,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.70w" current="2.84"/>
+<Version initial="2.70w" current="2.85"/>
 <Content>
 <Comment>
@@ -939,5 +939,5 @@
 </Title>
 <SampleFiles folder="Word_and_PDF"/>
-<Version initial="2.70" current="2.84"/>
+<Version initial="2.70" current="2.85"/>
 <Content>
 <Text id="ep-2">Greenstone converts PDF files to HTML using third-party software: <AutoText text="pdftohtml.pl" type="italics"/>. This lets users view these documents even if they don't have the PDF software installed. Unfortunately, sometimes the formatting of the resulting HTML files is not so good.</Text>
@@ -1070,5 +1070,5 @@
 <Text id="ew-a">Enhanced Word document handling</Text>
 </Title>
-<Version initial="2.70w" current="2.84"/>
+<Version initial="2.70w" current="2.85"/>
 <Prerequisite id="word_pdf_collection"/>
 <Content>
@@ -1193,5 +1193,5 @@
 <Text id="0403">Exporting a collection to CD-ROM/DVD</Text>
 </Title>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <Comment>
@@ -1218,5 +1218,5 @@
 </Title>
 <SampleFiles folder="tudor"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <Comment>
@@ -1279,5 +1279,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <Comment>
@@ -1385,5 +1385,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <NumberedItem>
@@ -1479,5 +1479,5 @@
 <Text id="st-1">Section tagging for HTML documents</Text>
 </Title>
-<Version initial="2.70w" current="2.84"/>
+<Version initial="2.70w" current="2.85"/>
 <Content>
 <NumberedItem>
@@ -1535,5 +1535,5 @@
 <Text id="0411">Downloading files from the web</Text>
 </Title>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <Comment>
@@ -1577,5 +1577,5 @@
 </Title>
 <Prerequisite id="downloading_from_internet"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <NumberedItem>
@@ -1611,5 +1611,5 @@
 </Title>
 <SampleFiles folder="marc"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <Comment>
@@ -1768,5 +1768,5 @@
 </Title>
 <SampleFiles folder="isis"/>
-<Version initial="2.70w" current="2.84"/>
+<Version initial="2.70w" current="2.85"/>
 <Content>
 <Comment>
@@ -1830,5 +1830,5 @@
 </Title>
 <SampleFiles folder="custom"/>
-<Version initial="2.70" current="2.84"/>
+<Version initial="2.70" current="2.85"/>
 <Content>
 <Text id="mf-2">The appearance of all pages produced by Greenstone is governed by macro files, which reside in the folder <Path>Greenstone &rarr; macros</Path>, and images and CSS stylesheets reside in <Path>Greenstone &rarr; web &rarr; style</Path>.</Text>
@@ -2040,5 +2040,5 @@
 </Title>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <NumberedItem>
@@ -2077,5 +2077,5 @@
 <Prerequisite id="multimedia_collection_explore"/>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <Comment>
@@ -2424,5 +2424,5 @@
 </Title>
 <SampleFiles folder="niupepa"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <Comment>
@@ -2631,5 +2631,5 @@
 <SampleFiles folder="niupepa"/>
 <Prerequisite id="scanned_image_collection"/>
-<Version initial="2.70" current="2.84"/>
+<Version initial="2.70" current="2.85"/>
 <Content>
 <Comment>
@@ -2760,5 +2760,5 @@
 </Title>
 <SampleFiles folder="oai"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <Comment>
@@ -2864,5 +2864,5 @@
 </Title>
 <Prerequisite id="OAI_collection"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <Comment>
@@ -2944,5 +2944,5 @@
 <Text id="0750">Use METS as Greenstone's Internal Representation</Text>
 </Title>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <NumberedItem>
@@ -2974,5 +2974,5 @@
 </Title>
 <SampleFiles folder="dspace"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <NumberedItem>
@@ -3055,5 +3055,5 @@
 </Title>
 <Prerequisite id="dspace_to_greenstone"/>
-<Version initial="2.60" current="2.84"/>
+<Version initial="2.60" current="2.85"/>
 <Content>
 <Comment>
@@ -3098,5 +3098,5 @@
 <Text id="gems-1">Editing metadata sets</Text>
 </Title>
-<Version initial="2.70w" current="2.84"/>
+<Version initial="2.70w" current="2.85"/>
 <Content>
 <Text id="gems-2">GEMS (Greenstone Editor for Metadata Sets) can be used to modify existing metadata sets or create new ones. GEMS is launched from the Librarian Interface when you want to create a new metadata set, or edit an existing one. In this exercise, we run GEMS outside of the Librarian Interface.</Text>
@@ -3106,5 +3106,5 @@
 <NumberedItem>
 <Text id="gems-4">Start the Greenstone Editor for Metadata Sets (GEMS)</Text>
-<Text id="gems-5"><Menu>Start &rarr; All Programs &rarr; Greenstone-2.84 &rarr; Metadata Set Editor (GEMS)</Menu></Text>
+<Text id="gems-5"><Menu>Start &rarr; All Programs &rarr; Greenstone-2.85 &rarr; Metadata Set Editor (GEMS)</Menu></Text>
 </NumberedItem>
 <NumberedItem>
@@ -3139,5 +3139,5 @@
 </Title>
 <SampleFiles folder="demo"/>
-<Version initial="2.70w" current="2.84"/>
+<Version initial="2.70w" current="2.85"/>
 <Content>
 <Text id="indexers-2">Greenstone supports three indexers <b>MG</b>, <b>MGPP</b> and <b>Lucene</b>. </Text>
@@ -3259,5 +3259,5 @@
 <SampleFiles folder="demo_NewFiles"/>
 <Prerequisite id="indexers"/>
-<Version initial="2.71" current="2.84"/>
+<Version initial="2.71" current="2.85"/>
 <Content>
 <Text id="depositor-2">Collections built with the <i>Lucene</i> indexer support incremental addition, updates, and deletion of documents and metadata. By default, the <b>import</b> and <b>build</b> processes delete old index files in the <b>index</b> directory and intermediate files in the <b>archives</b> directory. With incremental building, the <b>import</b> and <b>build</b> process will keep the old files and only process the new or modified ones.</Text>