Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 24558)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 24559)
@@ -1677,5 +1677,5 @@
 <NumberedItem>
 <Text id="0533-6">In the <AutoText key="glidict::GUI.Gather"/> panel, you may notice that the MARC database has a different coloured icon to other files. A metadata database that can be exploded will be displayed with this green icon. Right-click on the file and choose <AutoText key="glidict::ExplodeMetadataPrompt.Title"/> from the menu. A new window opens, containing options for the exploding process. A description of each option can be obtained by hovering the mouse over the option.</Text>
-<Text id="0533-7">Turn on the <AutoText text="metadata_set"/> option by checking its box. This option indicates which metadata set to explode the metadata into. The default set is the "Exploded Metadata Set"&mdash;a metadata set which initially has no elements in it, but will receive a new element for each metadata field retrieved from the database.</Text>
+If it's not already on, <Text id="0533-7">turn on the <AutoText text="metadata_set"/> option by checking its box. This option indicates which metadata set to explode the metadata into. The default set is the "Exploded Metadata Set"&mdash;a metadata set which initially has no elements in it, but will receive a new element for each metadata field retrieved from the database.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1783,5 +1783,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="is-8">In the <AutoText key="glidict::CDM.GUI.Indexes"/> section of the <AutoText key="glidict::GUI.Design"/> panel, remove the useless Source and Title indexes, and add new indexes for <AutoText text="ex.Photographer^all"/>, <AutoText text="ex.Country^all"/> and <AutoText text="ex.Notes^all"/> metadata.</Text>
+<Text id="is-8">In the <AutoText key="glidict::CDM.GUI.Indexes"/> section of the <AutoText key="glidict::GUI.Design"/> panel, remove the useless Source and Title indexes, and add new indexes for <AutoText text="ex.Photographer^all"/>, <AutoText text="ex.Country^all"/> and <AutoText text="ex.Notes^all"/> metadata. In the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section of the <AutoText key="glidict::GUI.Format"/> panel, you can set the display text for these indexes to "photographer", "country" and "notes".</Text>
 <Text id="is-9">CDS/ISIS metadata has subfields, and these are represented using ^.</Text>
 </NumberedItem>
@@ -2023,5 +2023,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="mf-67">Once you have identified the names of the images to be replaced, you need to find out where they occur in the macro files. To do this on Windows, you would search the macro files for the image names using the <AutoText text="find"/> program, which is run in a command prompt. Open a command prompt using <Menu>Start &rarr; Programs &rarr; Accessories &rarr; Command Prompt</Menu>, or <Menu>Start &rarr; Run</Menu> and enter <Command>cmd</Command> as the name of the program to run.</Text>
+<Text id="mf-67">Once you have identified the names of the images to be replaced, you need to find out where they occur in the macro files. To do this on Windows, you would search the macro files for the image names using the <AutoText text="findstr"/> program, which is run in a command prompt. Open a command prompt using <Menu>Start &rarr; Programs &rarr; Accessories &rarr; Command Prompt</Menu>, or <Menu>Start &rarr; Run</Menu> and enter <Command>cmd</Command> as the name of the program to run.</Text>
 <Text id="mf-68">You can type <Command>findstr/?</Command> to see a description of the program and its arguments.</Text>
 <Text id="mf-69">To search the macro files for <i><AutoText text="gsdlhead.gif" /></i> type</Text>
@@ -2108,5 +2108,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0562">Instead, add <AutoText key="metadata::dc.Title"/> metadata for these two files: "Magical Mystery Tour." Change to the <AutoText key="glidict::GUI.Enrich"/> panel, open the discography folder and drill down to the individual files. Set the <AutoText key="metadata::dc.Title"/> value for the two offending items.</Text>
+<Text id="0562">Instead, add <AutoText key="metadata::dc.Title"/> metadata for these two files: "Magical Mystery Tour." In the <AutoText key="glidict::GUI.Enrich"/> panel, open the discography folder and drill down to the individual files. Set the <AutoText key="metadata::dc.Title"/> value for the two offending items.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2401,5 +2401,5 @@
 </Bullet>
 <Bullet>
-<Text id="0666">Copy the content of <Path>sample_files &rarr; beatles &rarr; advbeat_large &rarr; import</Path> into this newly formed collection. Since there are considerably more files in this set of documents the copy will take longer.</Text>
+<Text id="0666">Copy the content of <Path>sample_files &rarr; beatles &rarr; advbeat_large &rarr; import</Path> into this newly formed collection. Since there are considerably more files in this set of documents the copy will take longer. You may also want to use the file browser to copy the <Path>images</Path> and <Path>macros</Path> folders from the <Path>smallbea</Path> folder into the <Path>largebea</Path> folder, replacing anything already there.</Text>
 </Bullet>
 <Bullet>
@@ -2570,5 +2570,5 @@
 </NumberedItem>
 <Comment>
-<Text id="0690h">You might notice that newspaper level search results only display the newspaper Title, and not any volume information, while page level search results only show the Title of the page (the page number), and not the Title of the newspaper. We'll modify the format statement to show Volume and Number information, and for page results, the newspaper title as well as the page number.</Text>
+<Text id="0690h">You might notice that newspaper level search results only display a large scan of the newspaper page, the newspaper Title, and not any volume information, while page level search results only show the Title of the page (the page number), and not the Title of the newspaper. We'll modify the format statement to show Volume and Number information, and for page results, the newspaper title as well as the page number.</Text>
 </Comment>
 <NumberedItem>
@@ -2785,5 +2785,5 @@
 </Comment>
 <NumberedItem>
-<Text id="oai-plugin-option">You need to specifiy which document the OAI metadata values should be attached to. In the <AutoText key="glidict::GUI.Design"/> panel, select the <AutoText key="glidict::CDM.GUI.Plugins"/> section, then select the <AutoText text="OAIPlugin"/> and click <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/>. Locate the <AutoText text="document_field"/> option in the popup window and select <AutoText text="dc.Resource Identifier"/> from the drop-down list. Click <AutoText key="glidict::General.OK" type="button"/>.</Text>
+<Text id="oai-plugin-option">You need to specify which document the OAI metadata values should be attached to. In the <AutoText key="glidict::GUI.Design"/> panel, select the <AutoText key="glidict::CDM.GUI.Plugins"/> section, then select the <AutoText text="OAIPlugin"/> and click <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/>. Locate the <AutoText text="document_field"/> option in the popup window and select <AutoText text="dc.Resource Identifier"/> from the drop-down list. Click <AutoText key="glidict::General.OK" type="button"/>. Move the <AutoText text="OAIPlugin"/> above the <AutoText text="EmbeddedMetadataPlugin"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2801,12 +2801,12 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0714">Add an <AutoText text="AZCompactList" /> classifier based on <AutoText key="metadata::dc.Subject"/> metadata.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0715">Now add an <AutoText text="AZCompactList" /> classifier based on <AutoText key="metadata::dc.Description"/> metadata. In its configuration panel set <AutoText text="mingroup"/> to <AutoText text="2"/>, <AutoText text="mincompact"/> to <AutoText text="1"/>, <AutoText text="maxcompact"/> to <AutoText text="10"/> and <AutoText text="buttonname"/> to <AutoText text="Captions"/>.</Text>
+<Text id="0714">Add an <AutoText text="AZCompactList" /> classifier based on <AutoText key="metadata::ex.dc.Subject"/> metadata. Configure it with "subjects" as the <AutoText text="buttonname"/>.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0715">Now add an <AutoText text="AZCompactList" /> classifier based on <AutoText key="metadata::ex.dc.Description"/> metadata. In its configuration panel set <AutoText text="mingroup"/> to <AutoText text="2"/>, <AutoText text="mincompact"/> to <AutoText text="1"/>, <AutoText text="maxcompact"/> to <AutoText text="10"/> and <AutoText text="buttonname"/> to <AutoText text="Captions"/>.</Text>
 <Text id="0715a">Setting <AutoText text="mingroup"/> to 2 will mean that two or more documents with the same description will be grouped into a bookshelf; the default <AutoText text="mingroup"/> of 1 means that every document will get a bookshelf. <AutoText text="mincompact"/> and <AutoText text="maxcompact"/> control how many documents are grouped into each section of the horizontal A-Z list. In this case, each group can have as few as one document, and no more than ten.</Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="0716">In the <AutoText key="glidict::CDM.GUI.Indexes"/> section of the <AutoText key="glidict::GUI.Design"/> panel, delete all indexes and add a new one based on <AutoText key="metadata::dc.Description"/> metadata.</Text>
+<Text id="0716">In the <AutoText key="glidict::CDM.GUI.Indexes"/> section of the <AutoText key="glidict::GUI.Design"/> panel, delete all indexes and add a new one based on <AutoText key="metadata::ex.dc.Description"/> metadata. Set the <AutoText text="Display text"/> for the <AutoText key="metadata::ex.dc.Description"/> index by going to the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section in the <AutoText key="glidict::GUI.Format"/> panel and changing its label to "_labelDescription_".</Text> 
 </NumberedItem>
 <NumberedItem>
@@ -2832,7 +2832,7 @@
 <NumberedItem>
 <Text id="0722">Next, select <AutoText text="DocumentHeading"/> from the <AutoText key="glidict::CDM.FormatManager.Feature"/> pull-down list and change its format statement to: </Text>
-<Format>&lt;h3&gt;[dc.Subject]&lt;/h3&gt;</Format> 
-<Comment>
-<Text id="0723">The document heading appears above the <AutoText key="coredm::_document:textDETACH_" type="italics"/> and <AutoText key="coredm::_document:textNOHIGHLIGHT_" type="italics"/> buttons when you get to a document in the collection. By default <AutoText text="DocumentHeading"/> displays the document's <AutoText key="metadata::ex.Title"/> metadata. In this particular set of OAI exported records, titles are filenames of JPEG images, and the filenames are particularly uninformative (for example, 01dla14). You can see them in the <AutoText key="glidict::GUI.Enrich"/> panel if you select an image in <Path>oai &rarr; JCDLPICS &rarr; srcdocs</Path> and check its <AutoText key="metadata::ex.Source"/> and <AutoText key="metadata::ex.Title"/> metadata. The above format statement displays <AutoText key="metadata::dc.Subject"/> metadata instead.</Text>
+<Format>&lt;h3&gt;[ex.dc.Subject]&lt;/h3&gt;</Format> 
+<Comment>
+<Text id="0723">The document heading appears above the <AutoText key="coredm::_document:textDETACH_" type="italics"/> and <AutoText key="coredm::_document:textNOHIGHLIGHT_" type="italics"/> buttons when you get to a document in the collection. By default <AutoText text="DocumentHeading"/> displays the document's <AutoText key="metadata::ex.Title"/> metadata. In this particular set of OAI exported records, titles are filenames of JPEG images, and the filenames are particularly uninformative (for example, 01dla14). You can see them in the <AutoText key="glidict::GUI.Enrich"/> panel if you select an image in <Path>oai &rarr; JCDLPICS &rarr; srcdocs</Path> and check its <AutoText key="metadata::ex.Source"/> and <AutoText key="metadata::ex.Title"/> metadata. The above format statement displays <AutoText key="metadata::ex.dc.Subject"/> metadata instead.</Text>
 </Comment>
 </NumberedItem>
@@ -2841,11 +2841,11 @@
 <Format>&lt;center&gt;&lt;table width=_pagewidth_ border=1&gt;<br/> 
 &nbsp;&nbsp;&lt;tr&gt;&lt;td colspan=2 align=center&gt;<br/> 
-&nbsp;&nbsp;&nbsp;&nbsp;&lt;a href=[dc.OrigURL]&gt;[screenicon]&lt;/a&gt;&lt;/td&gt;&lt;/tr&gt;<br/> 
-&nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Caption:&lt;/td&gt;&lt;td&gt; &lt;i&gt;[dc.Description]&lt;/i&gt; &lt;br&gt;<br/> 
-&nbsp;&nbsp;&nbsp;&nbsp;(&lt;a href=[dc.OrigURL]&gt;original [ImageWidth]x[ImageHeight] [ImageType] available&lt;/a&gt;)<br/> 
+&nbsp;&nbsp;&nbsp;&nbsp;&lt;a href=[ex.dc.OrigURL]&gt;[screenicon]&lt;/a&gt;&lt;/td&gt;&lt;/tr&gt;<br/> 
+&nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Caption:&lt;/td&gt;&lt;td&gt; &lt;i&gt;[ex.dc.Description]&lt;/i&gt; &lt;br&gt;<br/> 
+&nbsp;&nbsp;&nbsp;&nbsp;(&lt;a href=[ex.dc.OrigURL]&gt;original [ImageWidth]x[ImageHeight] [ImageType] available&lt;/a&gt;)<br/> 
 &nbsp;&nbsp;&nbsp;&nbsp;&lt;/td&gt;&lt;/tr&gt;<br/> 
-&nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Subject:&lt;/td&gt;&lt;td&gt; [dc.Subject]&lt;/td&gt;&lt;/tr&gt;<br/> 
-&nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Publisher:&lt;/td&gt;&lt;td&gt; [dc.Publisher]&lt;/td&gt;&lt;/tr&gt;<br/> 
-&nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Rights:&lt;td&gt; [dc.Rights]&lt;/td&gt;&lt;/tr&gt;<br/> 
+&nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Subject:&lt;/td&gt;&lt;td&gt; [ex.dc.Subject]&lt;/td&gt;&lt;/tr&gt;<br/> 
+&nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Publisher:&lt;/td&gt;&lt;td&gt; [ex.dc.Publisher]&lt;/td&gt;&lt;/tr&gt;<br/> 
+&nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Rights:&lt;td&gt; [ex.dc.Rights]&lt;/td&gt;&lt;/tr&gt;<br/> 
 &lt;/table&gt;&lt;/center&gt;</Format> 
 <Text id="0730">This format statement alters how the document view is presented. It includes a screen-sized version of the image that hyperlinks back to the original larger version available on the web. Factual information extracted from the image, such as width, height and type, is also displayed.</Text>
@@ -2956,5 +2956,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0756">Switch to the <AutoText key="glidict::GUI.Design"/> panel and select <AutoText key="glidict::CDM.GUI.Plugins"/>. Remove <AutoText text="GreenstoneXMLPlugin"/> from the list of plug-ins and add <AutoText text="GreenstoneMETSPlugin" />, with the default configuration options.</Text>
+<Text id="0756">Switch to the <AutoText key="glidict::GUI.Design"/> panel and select <AutoText key="glidict::CDM.GUI.Plugins"/>. Remove <AutoText text="GreenstoneXMLPlugin"/> from the list of plug-ins and add <AutoText text="GreenstoneMETSPlugin" />, with the default configuration options. Move this plugin to where <AutoText text="GreenstoneXMLPlugin"/> was (just below <AutoText text="ZipPlugin"/>).</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2986,5 +2986,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0768">In the <AutoText key="glidict::GUI.Gather"/> panel, locate the folder <Path>sample_files &rarr; dspace</Path>. It contains five example items exported from a DSpace institutional repository. Copy them into your collection by dragging them over to the right-hand side of the panel.</Text>
+<Text id="0768">In the <AutoText key="glidict::GUI.Gather"/> panel, locate the folder <Path>sample_files &rarr; dspace</Path>. It contains five example items exported from a DSpace institutional repository. Copy them into your collection by dragging them over to the right-hand side of the panel. Cancel out of any dialog offering to add plugins.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3014,8 +3014,8 @@
 <Text id="0776">The DSpace exported files contain Dublin Core metadata for title and author (amongst other things).</Text>
 <NumberedItem>
-<Text id="0778">In the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Indexes"/>. Delete the <AutoText key="metadata::ex.Source"/> index, and add one for <AutoText key="metadata::dc.Contributor"/>. Rename the <AutoText key="metadata::dc.Contributor"/> index by going to the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section in the <AutoText key="glidict::GUI.Format"/> panel, select this index and change its value to "_labelAuthor_". Using a macro for an index name means that it will display in the correct language (assuming that the macro has been translated). You can check <Path>Greenstone &rarr; macros &rarr; english.dm</Path> to see which macros are available.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0779">Go back to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/>. Select the <AutoText key="metadata::ex.Source"/> <AutoText text="List" /> classifier and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. Change the <AutoText text="metadata"/> option to <AutoText key="metadata::dc.Contributor"/>. Activate the <AutoText text="bookshelf_type"/> option and set its value to <AutoText text="always"/>. Activate the <AutoText text="partition_type_within_level"/> option and set it to <AutoText text="none"/>. Click <AutoText key="glidict::General.OK" type="button"/> to close the dialog.</Text>
+<Text id="0778">In the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Indexes"/>. Delete the <AutoText key="metadata::ex.Source"/> index, and add one for <AutoText key="metadata::ex.dc.Contributor"/>. Rename the <AutoText key="metadata::ex.dc.Contributor"/> index by going to the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section in the <AutoText key="glidict::GUI.Format"/> panel, select this index and change its value to "_labelAuthor_". Using a macro for an index name means that it will display in the correct language (assuming that the macro has been translated). You can check <Path>Greenstone &rarr; macros &rarr; english.dm</Path> to see which macros are available.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0779">Go back to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/>. Select the <AutoText key="metadata::ex.Source"/> <AutoText text="List" /> classifier and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. Change the <AutoText text="metadata"/> option to <AutoText key="metadata::ex.dc.Contributor"/>. Activate the <AutoText text="bookshelf_type"/> option and set its value to <AutoText text="always"/>. If not already active, activate the <AutoText text="partition_type_within_level"/> option. Then set it to <AutoText text="none"/>. Finally, activate <AutoText text="buttonname"/> and set this to "contributors". Click <AutoText key="glidict::General.OK" type="button"/> to close the dialog.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3026,7 +3026,7 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0782">Also, let's add a format statement for the classifier based on <AutoText key="metadata::dc.Contributor"/> metadata. In the <AutoText key="glidict::CDM.FormatManager.Feature"/> menu (under <AutoText key="glidict::CDM.GUI.Formats"/> on the  <AutoText key="glidict::GUI.Format"/> panel), select the item that starts with:</Text>
+<Text id="0782">Also, let's add a format statement for the classifier based on <AutoText key="metadata::ex.dc.Contributor"/> metadata. In the <AutoText key="glidict::CDM.FormatManager.Feature"/> menu (under <AutoText key="glidict::CDM.GUI.Formats"/> on the  <AutoText key="glidict::GUI.Format"/> panel), select the item that starts with:</Text>
 <Indent>
-CL2: List -metadata <AutoText key="metadata::dc.Contributor" type="plain"/>
+CL2: List -metadata <AutoText key="metadata::ex.dc.Contributor" type="plain"/>
 </Indent> 
 </NumberedItem>
@@ -3038,5 +3038,5 @@
 <Text id="0783a">with</Text>
 <Format>
-{If}{[numleafdocs],([numleafdocs]) [ex.Title],[dc.Title]}
+{If}{[numleafdocs],([numleafdocs]) [ex.Title],[ex.dc.Title]}
 </Format>
 <Text id="0784">This will display the number of documents for each bookshelf in the <AutoText key="coredm::_Global:labelContributor_" type="italics"/> classifier.</Text>
@@ -3271,5 +3271,5 @@
 <Text id="depositor-7">Enabling <AutoText key="coredm::_depositor:textdepositor_"/></Text>
 </Heading>
-<Text id="depositor-8">For Windows users, first make sure that you are using a Web Server (e.g. Apache) instead of the Local Library Server. The binary installation of Greenstone will install Apache, but by default the Local Library Server will be used. To switch to using Apache, rename the <Path>GSDLHOME &rarr; server.exe</Path> file to something else. </Text>
+<Text id="depositor-8">For Windows users, first make sure that you are using a Web Server (e.g. Apache) instead of the Local Library Server. The binary installation of Greenstone will install Apache, but by default the Local Library Server will be used. To switch to using Apache, <AutoText text="rename"/> the <Path>GSDLHOME &rarr; server.exe</Path> file to something else. Then re-run the Greenstone Server, from the <Path>Start &rarr; Greenstone Server</Path> menu.</Text>
 <Text id="depositor-access">Note: You might need to set permissions for the <Path>GSDLHOME &rarr; tmp</Path> and <Path>GSDLHOME &rarr; collect</Path> or <Path>GSDLHOME &rarr; collect &rarr; your_accessible_collection</Path> directory.</Text>
 <Text id="depositor-enable">In Greenstone, <AutoText key="coredm::_depositor:textdepositor_"/> is disabled by default. To enable it, edit the file <Path>GSDLHOME &rarr; etc &rarr; main.cfg</Path>. Look for the "depositor" line, and change <i>disabled</i> to <i>enabled</i>.</Text>
@@ -3289,5 +3289,6 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="depositor-user5">At the end of each user entry there are two links: <AutoText key="auxdm::_userslistusers:textedituser_"/> and <AutoText key="auxdm::_userslistusers:textdeleteuser_"/>. Click <AutoText key="auxdm::_userslistusers:textedituser_"/> on the <AutoText text="demo"/> user account, and you will be shown more detailed information about the demo user. Add <AutoText text="demoluce-collection-editor"/> at the end of the <AutoText key="auxdm::_userslistusers:textgroups_"/> line, using a comma to separate group entries. (Note, if your collection shortname is not demoluce, then replace demoluce with the appropriate name in ***-collection-editor.</Text>
+<Text id="depositor-user5">At the end of each user entry there are two links: <AutoText key="auxdm::_userslistusers:textedituser_"/> and <AutoText key="auxdm::_userslistusers:textdeleteuser_"/>. Click <AutoText key="auxdm::_userslistusers:textedituser_"/> on the <AutoText text="demo"/> user account, and you will be shown more detailed information about the demo user. Add <AutoText text="demoluce-collection-editor"/> at the end of the <AutoText key="auxdm::_userslistusers:textgroups_"/> line, using a comma to separate group entries, so that the <AutoText key="auxdm::_userslistusers:textgroups_"/> field now contains: 
+<Format>demo, demoluce-collection-editor.</Format> (Note, if your collection shortname is not demoluce, then replace demoluce with the appropriate name in ***-collection-editor.)</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3318,5 +3319,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="depositor-13">Click the <AutoText key="auxdm::_depositor:textintro_"/> button. Click the <b>Choose File</b> button and select <Path>sample_files &rarr; demo &rarr; new &rarr; r9006e.htm</Path>, click the <AutoText key="auxdm::_depositor:textconfirm_"/> button and check the document has been uploaded successfully.</Text>
+<Text id="depositor-13">Click the <AutoText key="auxdm::_depositor:textintro_"/> button. Click the <b>Choose File</b> button and select <Path>sample_files &rarr; demo_NewFiles &rarr; new &rarr; r9006e.htm</Path>, click the <AutoText key="auxdm::_depositor:textconfirm_"/> button and check the document has been uploaded successfully.</Text>
 </NumberedItem>
 <NumberedItem>