Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/action/PageAction.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/action/PageAction.java	(revision 24582)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/action/PageAction.java	(revision 24583)
@@ -79,5 +79,5 @@
 		// elements but for now, we'll just get it all
 		Element collection_list = (Element)GSXML.getChildByTagName(info_response, GSXML.COLLECTION_ELEM+GSXML.LIST_MODIFIER);
-		logger.debug(GSXML.xmlNodeToString(collection_list));
+		logger.debug(GSXML.xmlNodeToString(collection_list, false));
 		if (collection_list != null) {
 			NodeList colls = GSXML.getChildrenByTagName(collection_list, GSXML.COLLECTION_ELEM);
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/action/QueryAction.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/action/QueryAction.java	(revision 24582)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/action/QueryAction.java	(revision 24583)
@@ -113,5 +113,5 @@
 	mr_query_message.appendChild(format_request);
 
-	logger.debug(GSXML.xmlNodeToString(mr_query_message));
+	logger.debug(GSXML.xmlNodeToString(mr_query_message, false));
 
 	// do the query
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/collection/Collection.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/collection/Collection.java	(revision 24582)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/collection/Collection.java	(revision 24583)
@@ -507,5 +507,5 @@
 				Element display_format = (Element) format_element.getFirstChild();
 
-				String format_string = GSXML.xmlNodeToString(display_format);
+				String format_string = GSXML.xmlNodeToString(display_format, false);
 				String collection_config = directory + "collectionConfig.xml";
 				Document config = this.converter.getDOM(new File(collection_config), "UTF-8");
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/core/TransformingReceptionist.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/core/TransformingReceptionist.java	(revision 24582)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/core/TransformingReceptionist.java	(revision 24583)
@@ -294,10 +294,9 @@
 				//return result;
 				//logger.error("Modify node value = "+result.getNodeValue()); //NamedItem("href"););
-				logger.error("BEFORE Modify node attribute = " + result.getAttributes().getNamedItem("href").getNodeValue());
-				String url = result.getAttributes().getNamedItem("href").getNodeValue();
+				//logger.error("BEFORE Modify node attribute = " + result.getAttributes().getNamedItem("href").getNodeValue());
+				//String url = result.getAttributes().getNamedItem("href").getNodeValue();
 				//url = url + "&excerptid=results";
-				result.getAttributes().getNamedItem("href").setNodeValue(url);
-				logger.error("AFTER Modify node attribute = " + result.getAttributes().getNamedItem("href").getNodeValue());
-
+				//result.getAttributes().getNamedItem("href").setNodeValue(url);
+				//logger.error("AFTER Modify node attribute = " + result.getAttributes().getNamedItem("href").getNodeValue());
 			}
 		}
@@ -319,5 +318,4 @@
 	protected Node transformPage(Element page)
 	{
-
 		boolean allowsClientXSLT = (Boolean) config_params.get(GSConstants.ALLOW_CLIENT_SIDE_XSLT);
 		//System.out.println("Client side transforms allowed? " + allowsClientXSLT);
@@ -835,5 +833,6 @@
 		if (stylesheets.size() == 0)
 		{
-			logger.info(" Can't find stylesheet for " + name);
+			logger.error(" Can't find stylesheet for " + name);
+			return null;
 		}
 		logger.debug("Stylesheet: " + name);
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/DocXMLUtil.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/DocXMLUtil.java	(revision 24582)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/DocXMLUtil.java	(revision 24583)
@@ -48,5 +48,5 @@
 public class DocXMLUtil extends ServiceRack
 {
-	static Logger logger = Logger.getLogger(org.greenstone.gsdl3.service.ArchiveIO.class.getName());
+	static Logger logger = Logger.getLogger(org.greenstone.gsdl3.service.DocXMLUtil.class.getName());
 	GSDocumentModel _GSDM = null;
 
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSXML.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSXML.java	(revision 24582)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSXML.java	(revision 24583)
@@ -946,11 +946,11 @@
 	}
 
-	public static String xmlNodeToString(Node e){
+	public static String xmlNodeToString(Node e, boolean printText){
 		StringBuffer sb = new StringBuffer("");
-		xmlNodeToString(sb,e,0);
+		xmlNodeToString(sb,e,0,printText);
 		return sb.toString();
 	}
 
-	private static void xmlNodeToString(StringBuffer sb, Node e, int depth){
+	private static void xmlNodeToString(StringBuffer sb, Node e, int depth, boolean printText){
 		
 		for (int i=0 ; i<depth ; i++)
@@ -958,5 +958,12 @@
 		
 		if (e.getNodeType() == Node.TEXT_NODE){
-			sb.append("text") ;
+			if(printText)
+			{
+				sb.append(e.getNodeValue());
+			}
+			else
+			{
+				sb.append("text");
+			}
 			return ;
 		}
@@ -987,5 +994,5 @@
 			int len = children.getLength();
 			for (int i = 0; i < len; i++) {
-				xmlNodeToString(sb,children.item(i), depth + 1);
+				xmlNodeToString(sb,children.item(i), depth + 1, printText);
 			}
 			